org.mariadb.jdbc.internal.stream

## Class DecompressInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.mariadb.jdbc.internal.stream.DecompressInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable, MariaDbInputStream

    public class DecompressInputStream
    extends InputStream
    implements MariaDbInputStream

### Constructor Summary

Constructors
Constructor and Description
`DecompressInputStream(InputStream baseStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `read()`
`int` `read(byte[] bytes)`
`int` `read(byte[] bytes, int off, int len)`
`int` `readHeader()` Permit to return mysql packet header length.

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.internal.stream.MariaDbInputStream

`available, close, mark, markSupported, reset, skip`

### Constructor Detail

#### DecompressInputStream

    public DecompressInputStream(InputStream baseStream)

### Method Detail

#### readHeader

    public int readHeader()
                   throws IOException

Permit to return mysql packet header length.

Specified by:
  `readHeader` in interface `MariaDbInputStream`
Returns:
  header length
Throws:
  `IOException` - if socket error happen

#### read

    public int read(byte[] bytes,
                    int off,
                    int len)
             throws IOException

Specified by:
  `read` in interface `MariaDbInputStream`
Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] bytes)
             throws IOException

Specified by:
  `read` in interface `MariaDbInputStream`
Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in interface `MariaDbInputStream`
Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`